View Issue Details

IDProjectCategoryView StatusLast Update
0004053Composrcorepublic2020-01-28 01:45
ReporterChris GrahamAssigned ToChris Graham 
Severityfeature 
Status resolvedResolutionfixed 
Product Version 
Fixed in Version 
Summary0004053: Support IIS response codes in http.php
DescriptionOur downloader recognises '403' as a responsible code, but IIS has non-standard subcodes...

https://en.wikipedia.org/wiki/HTTP_403#Substatus_error_codes_for_IIS

As things are currently implemented, these will be handled as unknown responses, rather than just as 403 responses (which they should be handled as).
TagsNo tags attached.
Attach Tags
Time estimation (hours)0.5
Sponsorship open

Activities

admin

2020-01-28 01:45

administrator   ~0006312

Automated response: Some HTTP status codes not properly handled

IIS subcodes causes main codes to not be recognised, and 201 status code is not handled consistently.

admin

2020-01-28 01:45

administrator   ~0006313

Fixed in git commit 1472d53e6 (https://gitlab.com/composr-foundation/composr/commit/1472d53e6 - link will become active once code pushed to GitLab)

A hotfix (a TAR of files to upload) have been uploaded to this issue. These files are made to the latest intra-version state (i.e. may roll in earlier fixes too if made to the same files) - so only upload files newer than what you have already. Always take backups of files you are replacing or keep a copy of the manual installer for your version, and only apply fixes you need. These hotfixes are not necessarily reliable or well supported. Not sure how to extract TAR files to your Windows computer? Try 7-zip (http://www.7-zip.org/).

admin

2020-01-28 01:45

administrator  

hotfix-4053, 2020-01-28 1am.tar (8,735,744 bytes)

Issue History

Date Modified Username Field Change
2020-01-26 23:09 Chris Graham New Issue
2020-01-26 23:09 Chris Graham Tag Attached: Roadmap: v11
2020-01-27 21:33 Chris Graham Tag Detached: Roadmap: v11